Skip to main content

Update Application: Rentvine

PUThttps://api.propexo.com/v1/applications/rentvine/:application_id
MethodInterface
POST /api/manager/screening/applicationsScreening
POST /api/manager/screening/applications/{applicationID}/statusScreening

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

application_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    unit_idstring

    The Propexo unique identifier for the unit for this application

    employee_idstring | nullnullable

    The Propexo unique identifier for the employee who is assigned to process this application, or none to be assigned to nobody

    application_status_idstring

    The Propexo unique identifier for the application status for this application

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    application_idstringrequired

    The Propexo unique identifier for the application

    unit_idstring

    The Propexo unique identifier for the unit for this application

    employee_idstring | nullnullable

    The Propexo unique identifier for the employee who is assigned to process this application, or none to be assigned to nobody

    application_status_idstring

    The Propexo unique identifier for the application status for this application

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applications/rentvine/:application_id
curl -X PUT https://api.propexo.com/v1/applications/rentvine/:application_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"employee_id": "string",
"application_status_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"application_id": "string",
"unit_id": "string",
"employee_id": "string",
"application_status_id": "string"
}
}